-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
--  1.2.3 Imperative Funktionsmodelle
--
-- Test der Funktionsweise von Warteanweisungen
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity Test_Wait is end entity;

architecture a of Test_Wait is
 -- Signalvereinbarungen
 signal n: natural;

begin

 process
  -- Variablenvereinbarungen

 begin
  -- zu_testende_Anweisungen
  n <= n+1 after 1 ns, n+2 after 2 ns; write("A1:" & str(now) & ":" & str(n));
  wait on n;                           write("A2:" & str(now) & ":" & str(n));
  wait on n;                           write("A3:" & str(now) & ":" & str(n));
  wait for 0.5 ns;                     write("A4:" & str(now) & ":" & str(n));
  n <= n+2 after 1 ns, n+4 after 2 ns; write("A5:" & str(now) & ":" & str(n));
  wait on n;                           write("A6:" & str(now) & ":" & str(n));
  wait on n;                           write("A7:" & str(now) & ":" & str(n));
  wait;
 end process;
end architecture;

