-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 1.3.1 Glitches
--
-- Kontrolle der Signalverläufe in Abb. 1.37
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity SimGlitch1 is end entity;

architecture a of SimGlitch1 is
 signal x1, x2, z, y: std_logic;
 constant td1: delay_length:=1.5 ns;
 constant td2: delay_length:=2 ns;
begin
 z <= not x1 after td1;
 y <= x2 and z after td2;

 x1 <= '0',  '1' after 3.5 ns, '0' after 9 ns;
 x2 <= '0',  '1' after 2.5 ns, '0' after 14 ns;
end architecture;
