-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Aufgabe 2.2
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity AfgSynthALU is
 port(a, b: in tUnsigned(3 downto 0);
  s: in std_logic_vector(1 downto 0);
  y: out tUnsigned(3 downto 0));
end entity;

architecture Synth of AfgSynthALU is
begin
 process(s, a, b)
  variable v0, v1: tUnsigned(3 downto 0);
 begin
  if s(0)='0' then
   v0 := a and b;
   v1 := a;
  else
   v0 := a or b;
   v1 := not a;
  end if;
  if s(1)='0' then y <= v0;
  else y <= v1 + b;
  end if;
 end process;

end architecture;
