-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Aufgabe 2.1
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;


entity AfgSynthRegExtr is
 port(c: in std_logic_vector(1 downto 0);
  K: in  std_logic_vector(7 downto 0);
  N, Q: out std_logic_vector(7 downto 0));
end entity;

architecture Synth of AfgSynthRegExtr is
 signal L, M, P: std_logic_vector(7 downto 0);
begin
 process(c(0))
 begin
  if rising_edge(c(0)) then
   L <= K;
  end if;
 end process;

 process(c(1))
 begin
  if rising_edge(c(1)) then
   N<=M; M<=L; 
  end if;
 end process;

 process(c(1))
 begin
  if falling_edge(c(1)) then
   P<=L; Q<=P; 
  end if;
 end process;
end architecture;
