-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Aufgabe 2.3
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity AfgSynthVRZ is
 port(R, E, I, T: in std_logic;
   y_out: out tSigned(7 downto 0));
end entity;

architecture Synth of AfgSynthVRZ is
 signal y: tSigned(7 downto 0);
begin

 process(T, I)
 begin
  if I='1' then
   y<= "00000000";
  elsif falling_edge(T) then
   if E='1' then
    if R='1' then
     y <= y - "01";
    else 
     y <= y + "01";
    end if;
   end if;
  end if;
 end process;

 y_out<=y;

end architecture;
