-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Bedingte Variablenzuweisung in einem Abtastprozess
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity BedVarZuw is
 port(T, a, b, c: in std_logic;
      y0, y1: out std_logic);
end entity;

architecture Synth of BedVarZuw is
begin

 process(T)
  variable v: std_logic;
 begin
  if rising_edge(T) then
 A1:  y0 <= v xor a;
   if b='1' then
 A2:   v:= c;
   end if;
 A3:  y1 <= v xor a;
  end if;
 end process;
end architecture;
