-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Synthesbeschreibung mit arithmetischen, logischen und 
-- Vergleichoperatoren sowie mit Fallunterscheidung
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity SynthRW2 is 
 port(a, b: in tUnsigned(3 downto 0);
      e, f: in std_logic;
      y: out tUnsigned(3 downto 0));
end entity;

architecture Synth of SynthRW2 is
begin

 process(a, b, e, f)
 begin
  if (a>"0011") and (e or f) ='1' then
   y <= a+b;
  else
   y <= b;
  end if;
 end process;

end architecture;

