-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Test für Aufgabe 2.4
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestAfgSerParit is end entity;

architecture Synth of TestAfgSerParit is
signal T, I, x, y_out: std_logic;
begin 
TObj: entity work.AfgSerParit(Synth)
      port map (T=>T, I=>I, x=>x, y_out=>y_out);
Testprozess: process
               begin
                 wait for 1 ns; x <='0'; I <='0'; T <='0';
 		 wait for 1 ns; T <='1';                  write(" x=" & str(x) &" y_out=" & str(y_out));
 		 wait for 1 ns; I <='1';          
 		 wait for 1 ns; T <='0';

 		 wait for 1 ns; T <='1'; I <='0'; 
                 wait for 1 ns; write(" x=" & str(x) &" y_out=" & str(y_out));
 		 wait for 1 ns; T <='0';

 		 wait for 1 ns; x <='1'; T <='1'; I <='0';write(" x=" & str(x) &" y_out=" & str(y_out));
 		 wait for 1 ns; T <='0';
 		
                 wait for 1 ns; x <='1'; T <='1'; I <='0';write(" x=" & str(x) &" y_out=" & str(y_out));
 		 wait for 1 ns; T <='0';

                 wait for 1 ns; x <='1'; T <='1'; I <='0';write(" x=" & str(x) &" y_out=" & str(y_out));
 		 wait for 1 ns; T <='0';

		 wait;
               end process;
end architecture;

