-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Testrahmen für Aufgabe 2.2
--------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;


entity TestAfgSynthALU is end entity;

architecture Synth of TestAfgSynthALU is
signal a, b, y: tUnsigned(3 downto 0);
signal s: std_logic_vector(1 downto 0);
begin
TObj: entity work.AfgSynthALU(Synth)
      port map (a=>a, b=>b, y=>y, s=>s);

Testprozess: process
               begin
                 wait for 1 ns; s  <="00";  a<="0000";  b<="0000"; 
                 wait for 1 ns; s(0)<='0';  
                 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

                 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';  a<="1010";  b<="0101";
                 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

                 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';  a<="1001";  b<="0001"; 
                 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

                 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';  a<="1111";  b<="0010"; 
                 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='0';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));

		 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='0';  write(" y=" & str(y));

                 wait for 1 ns; s(0)<='1';
		 wait for 1 ns; s(1)<='1';  write(" y=" & str(y));
		 
		 wait;
               end process;
end architecture;

