-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Testrahmen für Aufgabe 2.6
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestAfgSynthALU2 is end entity;

architecture Synth of TestAfgSynthALU2 is
signal T: std_logic;
signal x, y: tUnsigned(3 downto 0);
signal op: std_logic_vector(1 downto 0);

begin
TObj: entity work.AfgSynthALU2(Synth)
      port map (T=>T, op=>op, x=>x, y=>y);

Testprozess: Process
               begin
		 wait for 1 ns; x <="0100"; T <='0'; 
 		 wait for 1 ns; T <='1';   op <="00";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

		 wait for 1 ns; T <='1';   op <="01";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

                 wait for 1 ns; T <='1';   op <="10";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

 		 wait for 1 ns; T <='1';   op <="11";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';   

		 wait for 1 ns; T <='1';   op <="00";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

		 wait for 1 ns; x <="0111"; T <='1'; op <="01";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

                 wait for 1 ns; T <='1';  op <="10";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

 		 wait for 1 ns; T <='1';  op <="11";              write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

		 wait for 1 ns;                                   write(" x=" & str(x) &" y=" & str(y));
 		 wait;
               end process;
end architecture;
                 
