-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Testrahmen für Aufgabe 2.1
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity TestAfgSynthRegExtr is end entity;

architecture Synth of TestAfgSynthRegExtr is
signal c: std_logic_vector(1 downto 0);
signal K, N, Q: std_logic_vector(7 downto 0);
begin
TObj: entity work.AfgSynthRegExtr(Synth)
      port map (c=>c, K=>K, N=>N, Q=>Q);

Testprozess: process
               begin
                 wait for 1 ns; K<="00000000"; c(0) <='0'; c(1) <='0';
  		 wait for 1 ns; c(0) <='1'; K<="00001111";   write(" K=" & str(K));
                 wait for 1 ns; c(0) <='0';
  		 wait for 1 ns; c(1) <='1'; 		     write(" N=" & str(N));
		 wait for 1 ns; c(1) <='0'; 		     write(" Q=" & str(Q));

                 wait for 1 ns; c(0) <='1'; K<="00000000";   write(" K=" & str(K));
                 wait for 1 ns; c(0) <='0';
  		 wait for 1 ns; c(1) <='1'; 		     write(" N=" & str(N));
		 wait for 1 ns; c(1) <='0'; 		     write(" Q=" & str(Q));

		 wait for 1 ns; c(0) <='1'; K<="10000000";   write(" K=" & str(K));
                 wait for 1 ns; c(0) <='0';
  		 wait for 1 ns; c(1) <='1'; 		     write(" N=" & str(N));
		 wait for 1 ns; c(1) <='0'; 		     write(" Q=" & str(Q));



 		 wait for 1 ns; c(0) <='1'; K<="11110000";   write(" K=" & str(K));
  		 wait for 1 ns; c(0) <='0';
  		 wait for 1 ns; c(1) <='1';                  write(" N=" & str(N));
  		 wait for 1 ns; c(1) <='0';                  write(" Q=" & str(Q));

		 wait for 1 ns; c(0) <='1'; K<="11111111";   write(" K=" & str(K));
  		 wait for 1 ns; c(0) <='0';
  		 wait for 1 ns; c(1) <='1';                  write(" N=" & str(N));
  		 wait for 1 ns; c(1) <='0';                  write(" Q=" & str(Q));
  
		 wait for 1 ns; c(0) <='1'; K<="00000000";   write(" K=" & str(K));
  		 wait for 1 ns; c(0) <='0';           
  		 wait for 1 ns; c(1) <='1';                  write(" N=" & str(N));
  		 wait for 1 ns; c(1) <='0';                  write(" Q=" & str(Q));
		
		 wait for 1 ns; c(0) <='1'; K<="00000000";  write(" K=" & str(K));
  		 wait for 1 ns; c(0) <='0';           
  		 wait for 1 ns; c(1) <='1';                  write(" N=" & str(N));
  		 wait for 1 ns; c(1) <='0';                  write(" Q=" & str(Q));

		 wait for 1 ns; c(0) <='1'; K<="00000000";   write(" K=" & str(K));
  		 wait for 1 ns; c(0) <='0';           
  		 wait for 1 ns; c(1) <='1';                  write(" N=" & str(N));
  		 wait for 1 ns; c(1) <='0';                  write(" Q=" & str(Q));
  		
  		
		 wait;
 	       end process;
end architecture;

