-- TestExtr_LS.vhdl

-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Testrahmen fuer Synthesebeschreibung einer Gatterschaltung
---------------------------------------------------------------



library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;


entity TestExtr_LS is end entity;

architecture test of TestExtr_LS is 
  signal x: std_logic_vector(4 downto 0);--:="1";
  signal y0, y1: std_logic;
  
begin
Testobjekt: entity work.Extr_LS(synth)
            port map(x0=>x(0), x1=>x(1), x2=>x(2), x3=>x(3), x4=>x(4),y0=>y0, y1=>y1);

Testprozess: process
  --variable v0, v1: std_logic;
  begin
    x<="10111"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="10100"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="00101"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="10010"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="00110"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="01110"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="00100"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="10110"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="11110"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    x<="01111"; wait for 1 ns; write("x=" &str(x) & " y0=" & str(y0) & " y1=" & str(y1));
    --...
    wait;
  end process;
end architecture;

