-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Testrahmen fuer Nachbildung einer If-Elsif-Anweisung durch Multiplexer
--------------------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity TestSynthMux2 is end entity;

architecture test of TestSynthMux2 is
  signal x: std_logic_vector(3 downto 0);
  signal s: std_logic_vector(2 downto 0);
  signal y: std_logic;

begin 
  Testobjekt: entity work.SynthMux2(Synth)
              port map (a=>x(0), b=>x(1), c=>x(2), d=>x(3), p=>s(0), q=>s(1), r=>s(2), y=>y);

  Testprozess:process
  begin 
    wait for 10 ns; x <= "0110";
    wait for 10 ns; s <= "000";
    wait for 10 ns; s <= "100";
    wait for 10 ns; s <= "X10";
    wait for 10 ns; s <= "XX1";
    wait for 10 ns; x <= "1100";
    wait for 10 ns; s <= "000";
    wait for 10 ns; s <= "100";
    wait for 10 ns; s <= "X10";
    wait for 10 ns; s <= "XX1";
    wait for 10 ns; x <= "0011";
    wait for 10 ns; s <= "000";
    wait for 10 ns; s <= "100";
    wait for 10 ns; s <= "X10";
    wait for 10 ns; s <= "XX1";
    wait;
  end process;
end architecture; 
