-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Testrahmen für Synthesbeschreibung mit arithmetischen, logischen und 
-- Vergleichoperatoren sowie mit Fallunterscheidung
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestSynthRW2 is end entity;
 
architecture Synth of TestSynthRW2 is
signal a, b, y: tUnsigned(3 downto 0);
signal e, f: std_logic;

  begin
TestObjekt: entity work.SynthRW2(Synth) port map(a=>a, b=>b, y=>y, e=>e, f=>f);

Testprozess: process
               
               begin
        
              
                 wait for 1 ns; a<="0000"; b<="1000"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 1 ns; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 1 ns; a<="0100"; b<="0001"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 1 ns; a<="0101"; b<="0010"; e<='0'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 1 ns; a<="0110"; b<="1001"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 0.15 ns; a<="0111"; b<="0111"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 1 ns; a<="1111"; b<="1111"; e<='1'; f<='0';
		 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 0.6 ns; e<='0'; f<='0'; b<="1001"; 
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 0.1 ns; a<="0010"; b<="1100"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );

                 wait for 1 ns; a<="0011"; b<="1111"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
                 wait for 1 ns; 
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
  		 wait;
 	     end process;
end architecture;
