-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Testrahmen für Synthesbeschreibung mit arithmetischer Operation, logischen 
-- Operationen, Vergleichoperation plus Abtastung
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestSynthRW2Reg is end entity;
 

architecture Synth of TestSynthRW2Reg is
signal a, b, y: tUnsigned(3 downto 0);
signal T, e, f: std_logic;
begin
TObj:entity work.SynthRW2Reg(Synth) 
     port map(a=>a, b=>b, y=>y, T=>T, e=>e, f=>f);

Testprozess: process
               begin
                 wait for 1 ns; T<='0'; a<="0000"; b<="0000";  e<='1'; f<='0';
		 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
                 wait for 1 ns; T <='1';
                 wait for 1 ns; T <='0';
                 wait for 1 ns; a<="0111"; b<="0010"; e<='1'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
                 wait for 1 ns; T <='1';
                 wait for 1 ns; T <='0';
                 wait for 1 ns; a<="0111"; b<="0001"; e<='0'; f<='0';
                 write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
                 wait for 1 ns; T <='1';
                -- wait for 1 ns; T <='0';
                 --wait for 1 ns; T<='0';
                 --write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
                 --wait for 1 ns; write("a=" &str(a) & " b=" & str(b) & " y=" & str(y) & " e=" & str(e)& " f=" & str(f) );
                 --wait for 1 ns; E <='1';
                 --wait for 0.15 ns; E <='0';
                 --wait for 1 ns; E <='1';
                 --wait for 0.6 ns; x <="0110";
                 --wait for 0.1 ns; E <='0';
                 --wait for 1 ns; x <="0111";
                 wait;
               end process;
end architecture;
