-- Testrahmen für die Sythesebeschreibung SynthRW1
--
-- 04.04.2010, G. Kemnitz

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Sim.all;
use Tuc.Ausgabe.all;


entity Test_SynthRW1 is end entity;

architecture Synth of Test_SynthRW1 is
 signal a, b: tUnsigned(2 downto 0);
 signal y: tUnsigned(7 downto 0);
begin

TObj: entity work.SynthRW1(Synth) port map(a=>a, b=>b, y=>y);

Testprozess: process
 begin
  a<="001"; b<="010"; wait for 10 ns; 
  write("a=" & str(a) & " b=" & str(b) & " y=" & str(y));
  a<="100"; b<="110"; wait for 10 ns; 
  write("a=" & str(a) & " b=" & str(b) & " y=" & str(y));
  wait;
 end process;
end architecture;
