-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Synthesbeschreibung eines Vorwärts/Rückwärtszählers 
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity VRZaehler1 is 
 port(T, I, V, R: in std_logic;
      y: buffer tUnsigned(3 downto 0));
end entity;

architecture Synth of VRZaehler1 is
begin

 process(T, I)
 begin
  if I='1' then
   y<="0000";
  elsif rising_edge(T) then
   if V='1'    then y<=y+"1";
   elsif R='1' then y<=y-"1";
   end if;
  end if;
 end process;
end architecture;
