-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Abgeänderte Beschreibung eines Vorwärts/Rückwärtszählers, 
-- bei der die Synthese ein Register mit Freigabeeingang finden
-- soll 
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity VRZaehler2 is 
 port(T, I, V, R: in std_logic;
      y: buffer tUnsigned(3 downto 0));
end entity;

architecture Synth of VRZaehler2 is
begin

 process(T, I)
  variable tmp: tUnsigned(3 downto 0);
 begin
  if I='1' then
   y<="0000";
  elsif rising_edge(T) then
-------------------
   if V='1' then
    tmp:=y+"1";
   else
    tmp:=y-"1";
   end if;
   if V='1' or R='1'  then
    y<=tmp;
   end if; 
------------------
  end if;
 end process;
end architecture;
