-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Schieberegister mit Variablen 
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

--library Tuc;
--use Tuc.Ausgabe.all;

entity VarSR is 
 port(T, x: in std_logic;
      y: buffer std_logic);
end entity;

architecture Synth of VarSR is
begin

 process(T)
  variable z0, z1, z2: std_logic;
 begin
  if rising_edge(T) then
   y <= z2;
   z2:=z1;
   z1:=z0;
   z0:=x;
   --write(rechts(str(now), 8)& " x=" & str(x) & " z=" & str(z) & " y=" & str(y));
  end if;
 end process;

end architecture;
