-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.2.6 Zusammenfassung und Uebungsaufgaben

--  Aufgabe 2.12 (Quine-McCluskey)
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;
use Tuc.Numeric_Sim.all;

entity LsgQuine is
end entity;

architecture Sim of LsgQuine is
begin

process
 variable x: tUnsigned(5 downto 0):="000000";
 variable y: std_logic;
begin
 y := (x(5) and not x(4) and x(3) and not x(2)) or                        --P1
      (x(5) and not x(4) and x(3) and x(1)) or                            --P2
      (x(5) and not x(4) and not x(3) and not x(1) and not x(0)) or       --P3
      (x(5) and not x(3) and not x(2) and not x(1) and not x(0)) or       --P4
      (x(5) and not x(4) and not x(2) and not x(1) and not x(0)) or       --P5
      (x(5) and x(3) and x(2) and x(1) and not x(0)) or                   --P6
      (not x(5) and x(4) and x(3) and not x(2) and not x(1) and not x(0));--P7 

 if y='1' then
     write(str(x));
 end if;
 x := x+"1";
 if x="111111" then wait; end if;
end process;

end architecture;
