-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.4.5 Zahlendarstellung und -verarbeitung in VHDL

-- Experiment zu Demonstration, dass die Negation einer 
-- vorzeichenbehafteten Binärzahl durch eine bitweise 
-- Invertierung und die Addition einer »1« nachgebildet 
-- werden kann
---------------------------------------------------------------



library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;
use Tuc.Numeric_Sim.all;

entity Exp2Komp is end entity;

architecture a of Exp2Komp is
begin

 process
  variable s: tSigned(3 downto 0):=b"1101";
 begin
  write("s        = " &str(s, 'd'));
  s := (not s) + tSigned'(b"01");
  write("not(s)+1 = " & str(s, 'd'));
  wait;
 end process;
end architecture;
