-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.1 Imperative Beschreibungsmittel
--
-- Dialogtest für eine 4-Bit-Addition
---------------------------------------------------------------------

-- Vorspann
library ieee;
use ieee.std_logic_1164.all;
library Tuc;
use Tuc.Eingabe.all; use Tuc.Ausgabe.all; 
use Tuc.Numeric_Sim.all;

-- ein Testrahmen ist eine Entwurfseinheit mit einer Schnittstelle
-- ohne Parameter und Anschlusssignale

entity DialogAdd is end entity;

architecture Sim of DialogAdd is
 -- Signalvereinbarungen
begin

 process
  -- Variablenvereinbarungen
  variable a, b, c: tUnsigned(3 downto 0);

 begin
  -- Endlosschleife, Beendigung der Simulation mit Ctrl-C
  read("Bitte 4-Bit-Vektor fuer a eingeben", a);
  read("Bitte 4-Bit-Vektor fuer b eingeben", b);
  c:=a+b;
  write("Summe: " & str(c));
 end process;

end architecture;

