-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.1.3 Schleifen
--
-- Test einer For-Schleife über den Indexbereich eines Bitvektors
---------------------------------------------------------------------

-- Vorspann
library ieee;
use ieee.std_logic_1164.all;
library Tuc;
use Tuc.Eingabe.all; use Tuc.Ausgabe.all; 
use Tuc.Numeric_Sim.all;

entity TestFor is end entity;

architecture a of TestFor is
 -- Signalvereinbarungen
begin

 process
  -- prozessintren Variablen und Konstanten
  constant bv: std_logic_vector(3 downto 0):="10UX";
 begin
  for idx in 3 downto 0 loop
   write("bv(" & str(idx) & ")=" & str(bv(idx)));
  end loop;
  wait;
 end process;

end architecture;

