-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.1.4 Funktionen
--
-- Erschöpfender Test der VHDL-Funktion "fWTab(...)" zur Nachbildung
-- des logischen Verhaltens einer kombinatorischen Schaltung unter 
-- Verwendung der Uebergangsfunktion "Countx(...)" eines Spezialzählers
-- zur Erzeugung aller Variationen von Testeingaben einschliesslich 
-- der mit einem einzelnen ungültigen Bit
---------------------------------------------------------------------

-- Vorspann
library ieee;
use ieee.std_logic_1164.all;
library Tuc;
use Tuc.Eingabe.all; 
use Tuc.Ausgabe.all; 
use Tuc.Numeric_Sim.all;

-- Package mit dem zu testenden Unterprogramm
use work.UP_pack.all;

entity Test_countx is end entity;

architecture a of Test_countx is
 -- Signalvereinbarungen
begin

 process
  -- Variablenvereinbarungen
  variable x: std_logic_vector(2 downto 0):="000";

 begin
  write("x="&str(x) & " fWTab(x)=" & str(fWtab(x)));
  x:=countx(x);
  if x="000" then wait;
  end if;
  
 end process;

end architecture;
