-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.1.4 Funktionen
--
-- Dialogorientierter Test einer kombinatorischen Beispielfunktion
---------------------------------------------------------------------

-- Vorspann
library ieee;
use ieee.std_logic_1164.all;
library Tuc;
use Tuc.Eingabe.all; 
use Tuc.Ausgabe.all; 
use Tuc.Numeric_Sim.all;

-- Package mit dem zu testenden Unterprogramm
use work.UP_pack.all;

entity Test_fWTab is end entity;

architecture a of Test_fWTab is
 -- Signalvereinbarungen
begin

 process
  -- prozessinterne Variablenvereinbarungen
  variable x, y: std_logic_vector(2 downto 0);


 begin
  -- Endlosschleife, Beendigung der Simulation mit Ctrl-C
  read("Bitte STD_LOGIC_VECTOR der Laenge 3 eingeben:", x);
  y := fWTab(x);
  write("x=" & str(x) & " y=" & str(y));
 end process;

end architecture;

