-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.2.1 Zahlentypen
--
-- Testrahmen zu Beispiel 3.2 (Typenverträglichkeit)
---------------------------------------------------------------------

library Tuc;
use Tuc.Ausgabe.all;

entity TestApfel is end entity;

architecture a of TestApfel is
begin

 process
  type tAepfel is range 1 to 10;
  type tBirnen is range 1 to 10;
  variable apfel_1, apfel_2: tAepfel := 3;
  variable birne: tBirnen := 2;
 begin
  -- Erzeugt Fehlermeldung (Simulation): bound check failed (#0)
  A1: apfel_1 := apfel_2 + 11;    write(str(integer(apfel_1)));
  -- Erzeugt Fehlermeldung (Analyse): no function declarations for operator "*"
  --A2: birne := apfel_1 * apfel_2; write(str(integer(apfel_2)));
  -- Erzeugt Fehlermeldung (Analyse): no function declarations for operator "+"
  --A3: birne := birne + apfel_1;  write(str(integer(apfel_2)));
  wait;
 end process;
end architecture;
