-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.3.4 Zusammenfassung und Uebungsaufgaben
--
-- Test Aufgabe 3.12 (nebenläufig aufzurufende Protokolldatei)
---------------------------------------------------------------------

 
library IEEE;
use IEEE.STD_LOGIC_1164.all;

use std.textio.text;

library Tuc;
use Tuc.Ausgabe.all;
use Tuc.Eingabe.all;
use Tuc.Numeric_Sim.all;

use work.AfgEA_pack.all;

entity Test_Afg3_12 is end entity;

architecture a of Test_Afg3_12 is
 file f: text open write_mode is "Ausgabe3_12.txt";
 signal x: std_logic_vector(3 downto 0);
begin

 -- Testobjekt
 Protokoll(x, f);

 -- Dialogprozess für die Erzeugung des Eingabesignals
 -- mit Ctrl-C beenden
 process
  variable v: std_logic_vector(x'range);
  variable t: real;
 begin
  read("Verzögerungszeit in ns als real-Wert eingeben", t);
  read("4-Bit-Vektor vom Typ std_logic_vector eingeben", v);
  x<=v after t * ns;
  wait for t * ns;
 end process;

end architecture;
