-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.4.3 Blockspeicher; Teilüberschrift: Objektorientierte Modellierung
--
-- Testrahmen für die Scheib- und die Lesemethode für Schreib-Lese-Speicher
---------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;
use Tuc.Numeric_Sim.all;

use work.MemOOP_pack.all;

entity Test_MemOOP is end entity;

architecture a of Test_MemOOP is
 signal Mem: tMem(2 to 14);
 signal x: tDaten:=x"01";
 signal adr: tAdr:=x"0";
begin

 process
 begin
  for idx in 0 to 3 loop
   loop
    adr <= adr +"1";
    x <= x(6 downto 0) & (x(7) xor x(1));
    wait for 10 ns;
    write("adr=" & str(adr, 'h') & " Lesewert: " & str(read(Mem, adr)) &
      " Schreibwert: " & str(x));
    write(Mem, adr, x);
    if adr=x"0" then exit; end if;
   end loop;
  end loop;
  wait;
 end process;

end architecture;

