-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.5.4 Zusammenfassung und Uebungsaufgaben
--
-- Testrahmen für die Prozedur zur Erzeugung eines 
-- sinusförmigen Testeingabesignals
----------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Sim.all;
use Tuc.Ausgabe.all;

use work.GenSin_pack.all;

entity TestGenSin is end entity;

architecture Sim of TestGenSin is
 signal T: std_logic:='0';
 signal y: tSigned(7 downto 0);
begin

 Sinusgenerator: GenSin(T=>T, y=>y, A=>120, tpsim=>25 ns, phi=>1.243);

Taktgenerator: process
 begin
  if now > 60 ns then wait; end if;
  wait for 0.85 ns;
  T <= not T; 
 end process;

end architecture;
   
