-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 4.1.9 Zusammenfassung und Uebungsaufgaben
--
-- Aufgabe 4.1 (Auflösungsfunktion)
----------------------------------------------------------------

package tZ01_pack is

 type tZ01 is ('Z', '0', '1');
 type tZ01_vector is array (natural range <>) of tZ01;

 -- Auflösungsfunktion
 function AufloesZ01(x: tZ01_vector) return tZ01;

 -- Typ mit Auflösungsfunktion
 subtype tZ01R is AufloesZ01 tZ01;

end package;

package body tZ01_pack is

 function AufloesZ01(x: tZ01_vector) return tZ01 is
  variable tmp: tZ01:=x(x'low);
 begin
  for idx in x'low+1 to x'high loop
   if x(idx)/='Z' then
    assert tmp = 'Z'  report "Mehrere aktive Quellen"
     severity failure;
    tmp := x(idx);
   end if;
  end loop;
  return tmp;
 end function;

end package body;
