----------------------------------------------------------------
-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Bibliothek Tuc
---------------------------------------------------------------------
-- Testrahem fuer das Package Zufallstest
--
-- 20.02.2010, G. Kemnitz
---------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use std.textio.all;
library Tuc;
use Tuc.Zufallstest.all;
use Tuc.Ausgabe.all;
use Tuc.Eingabe.all;

entity Test_Zufallstest is end entity;

architecture a of Test_Zufallstest is
begin

 process
  variable Testfall: natural range 0 to 4:=1;
  variable px: tWeight;
  constant cb: std_logic:='0';
  constant cw: tWeight:=0.2;
  constant cbv: std_logic_vector:="1001";
  constant cwv: tWeightVec:=(0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9);

 begin
  read("Eingabe Testnummer im Bereich 0 bis 4:", Testfall);
  if Testfall>0 then read("Eingabe px; Wertebereich 0 bis 1:", px, 0.0, 1.0); end if;

  for idx in 1 to 10 loop
   case Testfall is
    when 0 => write(str(rand));
    when 1 => write(str(rand(cb, px)));
    when 2 => write(str(rand(cw, px)));
    when 3 => write(str(rand(cbv, px)));
    when 4 => write(str(rand(cwv, px)));
    when others => write("falsche Testnummer");
   end case;
  end loop;
 end process;
end architecture;
