-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 1.2.5 Strukturbeschreibung
-- Datei: G3E.vhdl
--
-- Strukturbeschreibung der 3-Gatter-Schaltung
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity G3E is
 port(x1, x2, x3, x4: in std_logic;
        y: out std_logic);
end entity;

architecture Struktur of G3E is
 signal z1, z2: std_logic;
begin

G1:entity WORK.Und2(Vers1) 
  generic map(1 ns) 
  port map(x1, x2, z1);

G2:entity WORK.Und2(Vers1) 
  generic map(td => 1 ns) 
  port map(a=>x3, b=>x4, c=>z2);

G3:entity WORK.Oder2(Vers1) 
  generic map(td => 2 ns) 
  port map(a=>z1, b=>z2, c=>y);

end architecture;


