-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 1.2.5 Strukturbeschreibung
-- Datei: Test_G3E.vhdl
--
-- Testrahmen für die Strukturbeschreibung der 3-Gatter-
-- Schaltung
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;


entity Test_G3E is end entity;


architecture Test of Test_G3E is
 signal e1, e2, e3, e4, a: std_logic := '0';
begin

 TObj: entity WORK.G3E(Struktur)    
  port map(x1=>e1, x2=>e2, x3=>e3, x4=>e4, y=>a);

-- Prozess zur Erzeugung der Eingabesignale
Eingabe: process
 begin
  wait for 1 ns;  e3<='1';		-- 1 ns
  wait for 2 ns;  e1<='1'; e4<='1';	-- 3 ns
  wait for 2 ns;  e2<='1';		-- 5 ns
  wait for 3 ns;  e3<='0';		-- 8 ns
  wait for 2 ns;  e2<='0';		--10 ns
  wait for 1 ns;  e4<='0';		--11 ns
  wait for 2 ns;  e1<='0'; e4<='1';	--13 ns
  wait for 1 ns;  e2<='1'; e3<='1';	--14 ns
  wait for 2 ns;  e1<='1';		--16 ns
  wait for 1 ns;  e3<='0';		--17 ns
  wait for 2 ns;  e2<='0';		--19 ns
  wait for 2 ns;  e1<='0'; e4<='0';	--21 ns
  wait for 1 ns;  e3<='1';		--22 ns
  wait;
 end process;

end architecture;

