-- Ausprobieren der unterschiedlichen Verzögerungsmodelle
-- (Abschn. 1.3.1)
--
-- 21.03.2010; G. Kemnitz
library ieee;
use ieee.std_logic_1164.all;

entity Test_LT is end entity;

architecture a of Test_LT is
 -- Signalvereinbarungen
 signal x, y: std_logic;
 constant th: delay_length:= 1 ns;
 constant td: delay_length:= 2 ns;
begin

 x <= '0' after 0.5 ns, 'X' after 4 ns, '1' after 4.5 ns, 'X' after 8 ns, '0' after 9.5 ns, '1' after 12 ns, '0' after 12.5 ns;
 y <= 'X' after 1 ns, not x after 2 ns;

end architecture;

