-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 1.2.8 Zusammenfassung und Uebungsaufgaben
--
-- Test der Wirkung der Signal- und Variablenzuweisung zu 
-- Aufgabe 1.7
---------------------------------------------------------------


library Tuc;
use Tuc.Ausgabe.all;

entity VarSigWirkung is end entity;

architecture a of VarSigWirkung is
    signal a: integer := 0;
begin

 process
    variable b: integer := 0;
 begin
   A1: a <= a +1 after 0.5 ns; b := b+1; write("A1: a=" & str(a) & " b=" & str(b));
   A2: wait for 1 ns;                    write("A1: a=" & str(a) & " b=" & str(b));
   A3: a <= a +1 after 0.5 ns; b := b+1; write("A1: a=" & str(a) & " b=" & str(b));
   A4: a <= a +1 after 0.5 ns; b := b+1; write("A1: a=" & str(a) & " b=" & str(b));
   A5: wait for 1 ns;                    write("A1: a=" & str(a) & " b=" & str(b));
   wait;
 end process;
end architecture;
