-- P1.6/DreieckGen.vhdl

-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 1.6.5 Operationsablaufgraph

-- Dreiecksignalgenerator
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Sim.all;

entity DreieckGen is end entity;

architecture Test of DreieckGen is
 signal T, I, s: std_logic;
 signal y: tUnsigned(3 downto 0);
begin

 process(I, T)
 begin
  if I='1' then
   s  <= '0';
   y <= "0000";
  elsif rising_edge(T) then
   case s is
    when '0' => y <= y +"1";
     if y="1110" then s<='1'; end if;
    when '1' => y <= y -"1";
     if y="0001" then s<='0'; end if;
    when others => y <= "XXXX";
   end case;
  end if;
 end process;

 I <= '1', '0' after 3 ns;

Takterzeugung: process
 begin
  if now > 100 ns then wait; end if;
  T<='0'; wait for 1 ns;
  T<='1'; wait for 1 ns;
 end process;

end architecture;
