-- P1.6/Johnson4.vhdl

-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 1.6.5 Operationsablaufgraph

-- Johnson-Zähler
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity Johnson4 is end entity;

architecture Test of Johnson4 is
 signal T, I: std_logic;
 signal s: std_logic_vector(3 downto 0);
begin

 process(I, T)
 begin
  if I='1' then
   s <= "0000";
  elsif rising_edge(T) then
   s <= s(2 downto 0) & (not s(3));
  end if;
 end process;

 I <= '1', '0' after 2 ns;

 Taktprozess: process
 begin
  if now > 20 ns then wait; end if;
  T<='1'; wait for 1 ns; 
  T<='0'; wait for 1 ns;
 end process;

end architecture;

