-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Aufgabe 2.4
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity AfgSerParit is
 port(T, I, x: in std_logic;
   y_out: out std_logic);
end entity;

architecture Synth of AfgSerParit is
 signal x_del, y: std_logic;
begin

Reg1: process(T)
 begin
  if rising_edge(T) then
   x_del <= x;
  end if;
 end process;

 process(T, I)
 begin
  if I='1' then
   y<='0';
  elsif rising_edge(T) then
   y <= y xnor x_del;
  end if;
 end process;

 y_out <= y;

end architecture;
