-- Synthesebeschreibung einer Gatterschaltung
--
-- 29.03.2010, G. Kemnitz

library ieee;
use ieee.std_logic_1164.all;

entity Extr_LS is
 port(a, x1, x2, x3, x4: in std_logic;
      y0, y1: out std_logic);
end entity;

architecture synth of Extr_LS is
begin
 process(a, x1, x2, x3)
  variable v0, v1: std_logic;
 begin
  A1: v0:= a and x1;
  A2: v1:= v0 nor x3;
  A3: y0<=(v0 and x2) or v1;
  A4: y1<=((not x4) or x3) nand v1;
 end process;
end architecture;
