-- Synthesebeschreibung zur Extraktion einer Logikschaltung
--
-- 29.03.2010, G. Kemnitz
library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Sim.all;

entity SynthArith is
 port(a,b: in tUnsigned(2 downto 0);
      y: out tUnsigned(7 downto 0));
end entity;

architecture synth of SynthArith is
begin
 process(a, b)
  variable v: tUnsigned(6 downto 0);
 begin
  A1: v:= a * "11010";
  A2: y<= ('0'&v) + b;
 end process;
end architecture;
