-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Nachbildung einer Auswahlanweisung durch Multiplexer
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity SynthCase is 
 port(s: in std_logic_vector(1 downto 0);
      x1, x2, x3, x4: in std_logic_vector(3 downto 0);
      y: out std_logic_vector(3 downto 0));
end entity;

architecture Synth of SynthCase is
begin
 process(s, x1, x2, x3,x4)
 begin
  case s is
   when "00"   =>  y <= x1;    
   when "01"   =>  y <= x2; 
   when "10"   =>  y <= x3; 
   when others =>  y <= x4; 
  end case;
 end process;
end architecture;
