-- P2.1/SynthMux2.vhdl

-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Nachbildung einer If-Elsif-Anweisung durch Multiplexer
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity SynthMux2 is 
 port(a, b, c, d, p, q, r: in std_logic;
      y: out std_logic);
end entity;

architecture Synth of SynthMux2 is
begin
 process(a, b, c, d, p, q)
 begin
  if p='1' then  y<=a;
  elsif q='1' then y<=b;
  elsif r='1' then y<=c;
  else y<=d;
  end if;
 end process;
end architecture;
