-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Synthesebeschreibung mit arithmetischen Operationen
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity SynthRW1 is 
 port(a, b: in tUnsigned(2 downto 0);
      y: out tUnsigned(7 downto 0));
end entity;

architecture Synth of SynthRW1 is
begin

 process(a, b)
  variable v: tUnsigned(6 downto 0);
 begin
  A1: v:= a * "1010";
  A2: y<= ('0'&v) + b;
 end process;
end architecture;
