-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Synthesbeschreibung mit arithmetischer Operation, logischen 
-- Operationen, Vergleichoperation plus Abtastung
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;

entity SynthRW2Reg is 
 port(a, b: in tUnsigned(3 downto 0);
      T, e, f: in std_logic;
      y: out tUnsigned(3 downto 0));
end entity;

architecture Synth of SynthRW2Reg is
begin

 process(T)
 begin
  if rising_edge(T) then
   if (a>"0011") and (e or f)='1' then
    y<= a+b;
   else
    y<=b;
   end if;
  end if;
 end process;

end architecture;
