-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Synthesbeschreibung einer Wertetabelle
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

entity SynthWTab is 
 port(x: in std_logic_vector(3 downto 0);
      y: out std_logic);
end entity;

architecture Synth of SynthWTab is
begin

 process(x)
 begin
  case x is
   when "1000" | "0100" |"0010" |"0001"  =>
                     y <=  '1';  
   when others =>  y <=  '0';
  end case;
 end process;

end architecture;
