-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Testrahmen für Aufgabe 2.5
--------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestAfgSynthAutomat is end entity;

architecture Synth of TestAfgSynthAutomat is
signal T, I: std_logic;
signal x, y: std_logic_vector(1 downto 0);
begin
TObj: entity work.AfgSynthAutomat(Synth)
      port map (T=>T, I=>I, x=>x, y=>y);

Testprozess: process
               begin
                 wait for 1 ns; I <='0'; T <='0'; 
 		 wait for 1 ns; I <='1';
 		 wait for 1 ns; I <='0'; T <='1'; x<="00";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

		 wait for 1 ns; I <='0'; T <='1'; x<="01";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';

                 wait for 1 ns; I <='0'; T <='1'; x<="10";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';

 		 wait for 1 ns; I <='0'; T <='1'; x<="11";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';

                 wait for 1 ns; I <='0'; T <='1'; x<="00";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';  

		 wait for 1 ns; I <='0'; T <='1'; x<="01";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';

                 wait for 1 ns; I <='0'; T <='1'; x<="10";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';

 		 wait for 1 ns; I <='0'; T <='1'; x<="11";   write(" x=" & str(x) &" y=" & str(y));
 		 wait for 1 ns; T <='0';
		 
                 wait for 1 ns;                              write(" x=" & str(x) &" y=" & str(y));
 		 wait;
               end process;
end architecture;

