-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Testrahmen für Bedingte Variablenzuweisung in einem Abtastprozess
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all; 

entity TestBedVarZuw is end entity;

architecture Synth of TestBedVarZuw is
signal T, a, b, c, y0, y1: std_logic;
begin
TObj: entity work.BedVarZuw(Synth)
      port map (T=>T, a=>a, b=>b, c=>c, y0=>y0, y1=>y1);

Testprozess: process
             variable v: std_logic;
               begin
                 wait for 1 ns; T<='0'; a<='0'; c<='1'; 
                 while now<25 ns loop
                 wait for 1 ns; T<='1'; b<='1';
                 
                 wait for 1 ns; T<='0';
                 wait for 1 ns; T<='1'; b<='1';
             
                 wait for 1 ns; T<='0';
                 wait for 1 ns; T<='1'; b<='0';
                
                 wait for 1 ns; T<='0'; a<= not a;
                 end loop;
                 wait;
               end process;

-- Ausgabeprozess
process(T, y0, y1)
 begin
  write(rechts(str(NOW), 9) & ": T=" & str(T) & " y0=" & str(y0) & " y1=" & str(y1));
 end process;
end architecture;
