-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.4 Latches

-- Testrahmen für ein Latch (Abb. 2.21)
--------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity TestLatch is end entity;

architecture Test of TestLatch is
 signal E : std_logic;
 signal x, y: std_logic_vector(3 downto 0);
begin

 TObj:entity work.Latch(Sim) 
  port map(x=>x, E=>E, y=>y);

Testprozess: process
 begin
  wait for 1 ns; x<="0000"; E <='0';
  wait for 1 ns; E <='1';
  wait for 1 ns; E <='0';
  wait for 1 ns; x <="0100";
  wait for 1 ns; E <='1';
  wait for 0.15 ns; E <='0';
  wait for 1 ns; E <='1';
  wait for 0.6 ns; x <="0110";
  wait for 0.1 ns; E <='0';
  wait for 1 ns; x <="0111";
  wait;
 end process;
end architecture;

