-- P2.1/TestSynthCase.vhdl

-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Nachbildung einer Auswahlanweisung durch Multiplexer
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity TestSynthCase is end entity;

architecture test of TestSynthCase is 
signal x1, x2, x3, x4, y: std_logic_vector(3 downto 0);
signal s: std_logic_vector(1 downto 0);
begin

 TestObjekt: entity work.SynthCase(Synth) port map(s, x1, x2, x3, x4, y);

 Testprozess: process
  variable v: std_logic_vector(3 downto 0);
 begin
  x1 <= "0010"; x2 <= "0101"; x3 <= "1001"; x4 <= "1101";
  wait for 10 ns; s <= "00";
  wait for 10 ns; s <= "01";
  wait for 10 ns; s <= "10";
  wait for 10 ns; s <= "11";
  x1 <= "1010"; x2 <= "0111"; x3 <= "1000"; x4 <= "1011";
  wait for 10 ns; s <= "00";
  wait for 10 ns; s <= "01";
  wait for 10 ns; s <= "10";
  wait for 10 ns; s <= "11";
  wait;
 end process;
end architecture;


