-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Testrahmen für Synthesebeschreibung mit arithmetischen Operationen
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestSynthRW1 is end entity;

architecture test of TestSynthRW1 is 
signal a, b: tUnsigned(2 downto 0);
signal y: tUnsigned(7 downto 0);
begin

TestObjekt: entity work.SynthRW1(Synth) port map(a=>a, b=>b, y=>y);

Testprozess: process
               begin
                  a<="000"; b<="000"; wait for 1 ns;
                  write("a=" &str(a) & " b=" & str(b) & " y=" & str(y));

                  a<="000"; b<="001"; wait for 1 ns;
                  write("a=" &str(a) & " b=" & str(b) & " y=" & str(y));
		
		  a<="100"; b<="110"; wait for 1 ns;
                  write("a=" &str(a) & " b=" & str(b) & " y=" & str(y));

		  a<="111"; b<="000"; wait for 1 ns;
                  write("a=" &str(a) & " b=" & str(b) & " y=" & str(y));

		  a<="111"; b<="111"; wait for 1 ns;
                  write("a=" &str(a) & " b=" & str(b) & " y=" & str(y));
               wait;
                 
              
             end process;
end architecture;


