-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.2 Kombinatorische Schaltungen

-- Testrahmen für Synthesbeschreibung einer Wertetabelle
---------------------------------------------------------------


library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity TestSynthWTab is end entity;

architecture Synth of TestSynthWTab is
signal x: std_logic_vector(3 downto 0);
signal y: std_logic;
begin
TObj: entity work.SynthWTab(Synth) 
      port map(x=>x, y=>y);

Testprozess: process
               
               begin
                 --wait for 1 ns; 
		 x<="0000"; write("x=" &str(x)  & " y=" & str(y));  
                 wait for 1 ns; x<="0001"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="0010"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="0011"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="0100"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="0101"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="0110"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="0111"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1000"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1001"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1010"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1011"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1100"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1101"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1110"; write("x=" &str(x)  & " y=" & str(y));
                 wait for 1 ns; x<="1111"; write("x=" &str(x)  & " y=" & str(y));
	 	 wait for 1 ns;            write("x=" &str(x)  & " y=" & str(y));
                 wait;
               end process;
end architecture;
