-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 2.1.3 Kombinatorische Schaltungen mit Abtastregistern

-- Testrahmen für Synthesbeschreibung eines Vorwärts/Rückwärtszählers 
---------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.Ausgabe.all;

entity TestVRZaehler1 is end entity;
 
architecture Synth of TestVRZaehler1 is
signal T, I, V, R: std_logic;
signal y: tUnsigned(3 downto 0);
begin
TObj: entity work.VRZaehler1(Synth)
      port map (T=>T, I=>I, V=>V, R=>R, y=>y);

Testprozess: process
               begin
		 wait for 1 ns; I<='0'; T<='0'; 
                 wait for 1 ns; I<='1';        		      	       write(" y=" & str(y));
                 wait for 1 ns; I<='0'; T<='1'; V<='1';                write(" y=" & str(y));
                  
                 wait for 1 ns; I<='0'; T<='1'; V<='1';                write(" y=" & str(y));
                 wait for 1 ns; T<='0';

                 wait for 1 ns; I<='0'; T<='1'; V<='0';R<='1';         write(" y=" & str(y));
                 wait for 1 ns; T<='0';

                 wait for 1 ns; I<='0'; T<='1'; V<='0';R<='1';         write(" y=" & str(y));
                 wait for 1 ns; T<='0';	
		     
                 wait for 1 ns; I<='0'; T<='1'; V<='0';R<='1';         write(" y=" & str(y));
                 wait for 1 ns; T<='0';	
                 wait; 
               end process;
end architecture;
