-- Testrahmen für die Beschreibung eines Schieberegisters mit Variablen 
--
-- 29.05.2010, G. Kemnitz

library ieee;
use ieee.std_logic_1164.all;

entity Test_VarSR is end entity;

architecture Test of Test_VarSR is
 signal T, x, y: std_logic;
 constant tP: delay_length:=20 ns;
begin

 TObj: entity work.VarSR(Synth) port map(T=>T, x=>x, y=>y);

 process
  constant e: std_logic_vector:="10011010001010";
  
 begin
  wait for tP/2;
  
  for idx in e'range loop
   x <= e(idx);
   wait for tP/2;
   T <= '1'; 
   wait for tP/2;
   T<='0';
  end loop;
  for idx in 1 to 8 loop
   x <= e(idx);
   wait for tP/2;
   T <= '1'; 
   wait for tP/2;
   T<='0';
  end loop;

  wait;
 end process;

end architecture;
