-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 2.1.7 Zusammenfassung und Uebungsaufgaben
--
-- Testrahmen zu Aufgabe 2.3
--------------------------------------------------------


library Tuc;
use Tuc.Numeric_Synth.all;
use Tuc.StopSim_pack.all;
use Tuc.Ausgabe.all;


library ieee;
use ieee.std_logic_1164.all;
 
library work;

entity Test_AfgSynthVRZ is end entity;

architecture Synth of Test_AfgSynthVRZ is

 signal R, E, I, T: std_logic;
 signal y: tSigned(7 downto 0);
 constant tP: delay_length:=20 ns;

begin

TObj: entity work.AfgSynthVRZ(Synth)
 port map(R=>R, E=>E, I => I, T=>T, y_out=>y);

 TaktGen(T, tP);

Eingabeprozess: process
 begin 
  wait for 0.4*tP;   I <= '1'; R<='0';
  wait for 2*tP;     I <= '0';
  wait for 2*tP;     E <= '1';
  wait for 8*tP;     R <= '1';
  wait for 10*tP;
  StopSim;
  wait;
 end process;

end architecture;
