library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.StopSim_pack.all;



entity Test_VRZ is end entity;

architecture Test of Test_VRZ is
 signal T, I: std_logic;
 signal x, s, y: std_logic_vector(1 downto 0);
begin


 Abtastprozess: process(T, I)
 begin
  if I= '1' then
   s <= "00";
  elsif rising_edge(T) then
   s <= y;
  end if;
 end process;

 -- Nachbildung der logischen Gleichungen
 y(1) <= not (not (not s(1) and s(0) and not x(1) and not x(0)) and
              not (not s(1) and not s(0) and x(1)) and
              not (s(1) and s(0) and x(1)) and
              not (s(1) and not s(0) and not x(1)) and
              not (s(1) and x(0)));
 y(0) <= not(not(not s(0) and not x(0)) and not(s(0) and x(0)));



 -- Taktgenerator
 TaktGen(T, 10 ns);

 Testprozess: process
 begin
  -- Initialisieren des Zählers
  I<='1'; x <= "01";
  wait until rising_edge(T); I <= '0'; 
  -- fünf Schritte alternierend weiterzählen und anhalten
  for idx in 0 to 4 loop
   x<="00"; wait until rising_edge(T);
   x<="01"; wait until rising_edge(T);
  end loop;

  -- sechs Schritte rückwärtszählen
  x <= "10";
  for idx in 0 to 5 loop
   wait until rising_edge(T);
  end loop;

  StopSim; wait;
 end process;
end architecture;

