-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.1.7 Prozeduren
--
-- Test einer Prozedur mit Ein- und Ausgabesignalen
---------------------------------------------------------------------

-- Vorspann
library ieee;
use ieee.std_logic_1164.all;
library Tuc;
use Tuc.Ausgabe.all; 
use work.W5T_pack.all;

entity TestW5T is end entity;

architecture a of TestW5T is

 -- Signalvereinbarungen
 signal T, y: std_logic;

begin

 -- Prozess mit der zu testenden Prozedur
 process
 begin
  W5T(T, y);
 end process;

 -- Prozess zur Takterzeugung
 process
 begin
  wait for 1 ns;
  T <= '0';
  while now<25 ns loop
   wait for 1 ns;
   T <= not T;
  end loop;
  wait;
 end process;

 -- Ausgabeprozess
 process(T, y)
 begin
  write(rechts(str(NOW), 9) & ": T=" & str(T) & " y=" & str(y));
 end process;

end architecture;

