-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.1.2 Fallunterscheidungen
--
-- Test eine Auswahlanweisung zur Nachbildung einer Wertetabelle
---------------------------------------------------------------------

-- Vorspann
library ieee;
use ieee.std_logic_1164.all;
library Tuc;
use Tuc.Eingabe.all; use Tuc.Ausgabe.all; 
use Tuc.Numeric_Sim.all;

entity WTab is end entity;

architecture a of WTab is
 -- Signalvereinbarungen
begin

 process
  -- Variablenvereinbarungen
  variable x, y: std_logic_vector(2 downto 0);


 begin
  -- Endlosschleife, Beendigung der Simulation mit Ctrl-C
  read("Bitte STD_LOGIC_VECTOR der Laenge 3 eingeben:", x);
  case x is
   when "000"             => y:="100";
   when "001"|"011"|"110" => y:="110";
   when "010"|"101"       => y:="101";
   when "100"             => y:="001";
   when "111"             => y:="011";
   when others             => y:="XXX";
  end case;
  write("x=" & str(x) & " y=" & str(y));
 end process;

end architecture;




