-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.2.10 Zusammenfassung und Uebungsaufgaben
--
-- Aufgabe 3.6 
-- Die Typen und die zu testenden Funktionen sind hier ausnahmsweise 
-- nicht in einem Package, sondern im Vereinbarungsteil des 
-- Testprozessesprozesses vereinbart.
---------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity Afg_ZB_Enum is end entity;

architecture a of Afg_ZB_Enum is
begin
Testprozess: process 
  type tZeichenwert is range 1 to 9;
  type tZeichen is ('1', '2', '3', '4', '5', '6', '7', '8', '9');

  function to_Zeichenwert(x: tZeichen) return tZeichenwert is
  begin
   return tZeichen'pos(x)+1;
  end function;

  function to_Zeichen(x: tZeichenwert) return tZeichen is
  begin
   return tZeichen'val(x-1);
  end function;

  variable z: tZeichen;
  variable x: tZeichenwert;
 begin
  x:= 1;
  z:=to_Zeichen(x);
  write("x=" & str(integer(x)) & " to_Zeichen(x)=" & tZeichen'image(z));

  z:= '7';
  x:=to_Zeichenwert(z);
  write("z=" & tZeichen'image(z) & " to_Zeichenwert(z)=" & str(integer(x)));

  wait;
 end process;
end architecture;
