-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.2.4 Attribute von elementaren Datentypen
--
-- Testrahmen zu Beispiel 3.4 (Attribute)
---------------------------------------------------------------------


library IEEE;
use IEEE.STD_LOGIC_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

entity SkalAttr is end entity;

architecture a of SkalAttr is
begin

 process
  subtype tSInt is integer range -128 to 127;
  type tFarbe is (rot, gruen, blau);
  variable b: std_logic:='1';
  variable i: tSInt:=25;
  variable f: tFarbe;
 begin
  A1: write("A1: std_logic'low=" & str(std_logic'low) & 
          " std_logic'pred(b)=" & str(std_logic'pred(b)));
  A2: write("A2: tSInt'succ(tSInt'low+i)=" & 
          str(integer(tSInt'succ(tSInt'low+i))));
  f:=tFarbe'succ(gruen); 
  A3: write("A3: tFarbe'image(tFarbe'succ(gruen))="&tFarbe'image(f));
  wait;
 end process;
end architecture;
