-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Abschnitt 3.2.6 Zuordnungslisten für Feldelemente
--
-- Zuweisungen mit Zuordnungslisten
--------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;


entity TestZL is end entity;

architecture a of TestZL is
begin

process
 variable x: std_logic_vector(1 downto 0); 
 variable a, b, c, d, e, f: std_logic;
begin
 a:='0'; b:='1';
 x:=(0=>a, 1=>b);  
 write("X=" & str(x));
 
 (c, d) := x; 
 write("c=" & str(c) & " d=" & str(d));       

 (e, f):= std_logic_vector'(1 => a and b, 0 => a or b); 
 write("e=" & str(e) & " f=" & str(f));     

 wait;
end process;

end architecture;  

