-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.3.4 Zusammenfassung und Uebungsaufgaben
--
-- Test Aufgabe 3.13 (Init-Funktion für Speicher)
---------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

use std.textio.text;

library Tuc;
use Tuc.Ausgabe.all;
use Tuc.Eingabe.all;
use Tuc.Numeric_Sim.all;

use work.AfgEA_pack.all;

entity Test_Afg3_13 is end entity;

architecture a of Test_Afg3_13 is
 constant ROM: tByteFeld := Init("Daten.txt", 8);
begin

 -- Prozess zur Ausgabe des Inhalts der Konstanten RAM
 process
 begin
  for idx in ROM'range loop
   write(str(idx) & " : " & str(ROM(idx), 'd'));
  end loop;
  wait;
 end process;

end architecture;
