-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.4.8 Prozeduren als Bearbeitungsmethoden
--
-- Testrahmen für die RAM-Bearbeitungsmethoden
---------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

use work.FIFO_pack.all;

entity Test_FIFO is end entity;

architecture a of Test_FIFO is
 signal f: tFIFO;
 signal y: tDaten;
 signal T: std_logic;
begin

 process
 begin
                   TaktSchritt(T);
  init(f);         TaktSchritt(T);
  write(x"f1", f); TaktSchritt(T);
  write(x"e2", f); TaktSchritt(T);
  write(x"d3", f); TaktSchritt(T);
  write(x"c4", f); TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  write(x"1f", f); TaktSchritt(T);
  write(x"2e", f); TaktSchritt(T);
  write(x"3d", f); TaktSchritt(T);
  write(x"4c", f); TaktSchritt(T);
  write(x"5b", f); TaktSchritt(T);
  write(x"6a", f); TaktSchritt(T);
  write(x"79", f); TaktSchritt(T);
  write(x"88", f); TaktSchritt(T);
  write(x"97", f); TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  write(x"a6", f); TaktSchritt(T);
  write(x"b5", f); TaktSchritt(T);
  read(y, f);      TaktSchritt(T);
  wait;
 end process;

 process
 begin
  write("   Zeit  |  y | FIFO-Zustand");
  loop
   write(rechts(str(now), 9) & "| " & str_hex(y) & " |" & str(f));
   wait until rising_edge(T);
  end loop;
 end process;

end architecture;

