-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 3.5.2 Vorab berechnete Eingaben und Soll-Werte
--
-- Testrahmen für einen Test des 7-Segment-Decoders mit Eingangen 
-- und Soll-Werten aus einer Datei
----------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.all;

use work.SollIstTest_pack.all;

entity SollIstTestSeg7 is end entity;

architecture a of SollIstTestSeg7 is
 signal T, I: std_logic;
 signal x: std_logic_vector(3 downto 0);
 signal y: std_logic_vector(6 downto 0);
begin

 Testobjekt: entity work.Seg7Dec(KV) port map(x, y); 

 Testrahmen: SollIstTestProc(T, I, x, y, "SollIstTest.txt", 10 ns, 1 ns);

end architecture;

