-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 4.2.1 Zeitdiskrete Simulation
--
-- zeitdiskrete Simulationsmodell eines Ringinverters
----------------------------------------------------------------



use work.PhySim_pack.all;

entity Ringinverter is
end entity;

architecture PhySim of Ringinverter is
 signal x0, x1, x2, x3, x4: tSpannung;
 signal Stop: boolean;
begin
 G1: entity work.Inverter(PhySim)
	generic map(u_init=>1.0) 
        port map(x0, x1);
 G2: entity work.Inverter(PhySim)
	port map(x1, x2);
 G3: entity work.Inverter(PhySim)
	port map(x2, x3);
 G4: entity work.Inverter(PhySim)
	port map(x3, x4);
 G5: entity work.Inverter(PhySim)
	port map(x4, x0);

end architecture;
