-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- 5.4 Entwurf eines RISC-Prozessors
--
-- Testrahmen für die Funktion zur Berechnung der 
-- Sprungbedingungen mit Zufallsmustern
----------------------------------------------------------------

library ieee;
--use std.textio.all;
use ieee.STD_LOGIC_1164.all;
library Tuc;
use Tuc.Ausgabe.all;
use Tuc.Zufallstest.all;
use Tuc.Eingabe.all;

use work.RISC_pack.all;
use work.RISC_Str_pack.all;

entity Test_Sprungbedingung is end entity;

architecture a of Test_Sprungbedingung is
begin
 process
  variable Bed: tBed; 
  variable F: tFlags;
 begin
  shared_variable_RandStat:=(1235, 34567);
  loop
   write("Startwerte: " & str(shared_variable_RandStat(0)) & ", " & str(shared_variable_RandStat(1)));
   for idx in 1 to 10 loop
    bed:=rand(Bed, 0.01);
    F.cy:=rand(0.3, 0.01);
    F.s :=rand(0.3, 0.01);
    F.z :=rand(0.3, 0.01);
    write(rechts(str_Bed(Bed),4) & " cy:" & str(F.cy) & " z:" & str(F.z) & " s:" & str(F.s) & 
     " => Sprung ausfuehren: " & links(str(Sprung(Bed, F)), 8) & " Ausfuehrung unbestimmt: " & str(SprungX(Bed, F)));
   end loop;
   read; -- Warte auf Eingabetaste
  end loop;
 end process;
end architecture;

