----------------------------------------------------------------
-- G. Kemnitz: Technische Informatik 
-- Band 2: Entwurf digitaler Schaltungen
-- Bibliothek Tuc
----------------------------------------------------------------
-- Test der der Prozeduren aus dem Package Tuc.StopSim_pack
-- 
-- 12.03.2010, G. Kemnitz  
----------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

library Tuc;
use Tuc.Ausgabe.write; 
use Tuc.StopSim_pack.all;

entity Test_StopSim is end entity;

architecture a of Test_StopSim is
 signal T1, T2, T3: std_logic;
 signal x: std_logic_vector(3 downto 0);
begin
 TaktGen(T1, 21 ns);
 TaktGen(T2, 53 ns);
 TaktGen(T3, 17 ns);

 process
 begin
  wait for 64 ns; x <= x"6";
  wait for 53 ns; x <= x"a";
  wait for 98 ns; x <= x"2";
  wait for 58 ns; 
  StopSim("Simulation mit StopSim beendet");
 end process;
end architecture;
 
